=== modified file 'app/components/CurrentLocation.qml'
--- app/components/CurrentLocation.qml	2015-06-05 01:02:17 +0000
+++ app/components/CurrentLocation.qml	2015-06-18 01:42:03 +0000
@@ -18,8 +18,8 @@
 
 import QtLocation 5.3
 import QtPositioning 5.2
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import "../data/WeatherApi.js" as WeatherApi
 
 

=== modified file 'app/components/DayDelegate.qml'
--- app/components/DayDelegate.qml	2015-04-26 15:52:22 +0000
+++ app/components/DayDelegate.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 
 ListItem.Standard {

=== modified file 'app/components/ExpandableListItem.qml'
--- app/components/ExpandableListItem.qml	2015-03-20 00:36:07 +0000
+++ app/components/ExpandableListItem.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 1.0 as ListItem
 
 /*

=== modified file 'app/components/FastScroll.js'
--- app/components/FastScroll.js	2015-03-06 14:07:45 +0000
+++ app/components/FastScroll.js	2015-06-18 01:42:03 +0000
@@ -1,7 +1,7 @@
 /****************************************************************************
 **
 ** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
-** Copyright (C) 2014 Canonical Ltda
+** Copyright (C) 2014, 2015 Canonical Ltda
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
 **

=== modified file 'app/components/FastScroll.qml'
--- app/components/FastScroll.qml	2015-03-06 14:07:45 +0000
+++ app/components/FastScroll.qml	2015-06-18 01:42:03 +0000
@@ -1,7 +1,7 @@
 /****************************************************************************
 **
 ** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
-** Copyright (C) 2014 Canonical Ltda
+** Copyright (C) 2014, 2015 Canonical Ltda
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
 **
@@ -40,8 +40,8 @@
 ****************************************************************************/
 
 // FastScroll.qml
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import "FastScroll.js" as Sections
 
 Item {

=== modified file 'app/components/ForecastDetailsDelegate.qml'
--- app/components/ForecastDetailsDelegate.qml	2015-04-06 13:29:47 +0000
+++ app/components/ForecastDetailsDelegate.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 
 Row {

=== modified file 'app/components/HeaderRow.qml'
--- app/components/HeaderRow.qml	2015-04-09 22:22:55 +0000
+++ app/components/HeaderRow.qml	2015-06-18 01:42:03 +0000
@@ -16,9 +16,9 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
+import QtQuick 2.4
 import QtQuick.Layouts 1.1
-import Ubuntu.Components 1.1
+import Ubuntu.Components 1.2
 
 RowLayout {
     id: headerRow

=== modified file 'app/components/HomeGraphic.qml'
--- app/components/HomeGraphic.qml	2015-04-03 20:20:20 +0000
+++ app/components/HomeGraphic.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 Item {
     height: units.gu(32)

=== modified file 'app/components/HomeHourly.qml'
--- app/components/HomeHourly.qml	2015-04-09 22:28:40 +0000
+++ app/components/HomeHourly.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 ListView {
     id: homeHourly

=== modified file 'app/components/HomeTempInfo.qml'
--- app/components/HomeTempInfo.qml	2015-02-03 21:26:09 +0000
+++ app/components/HomeTempInfo.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 
 Column {

=== modified file 'app/components/ListItemActions/CheckBox.qml'
--- app/components/ListItemActions/CheckBox.qml	2015-03-03 18:37:59 +0000
+++ app/components/ListItemActions/CheckBox.qml	2015-06-18 01:42:03 +0000
@@ -1,5 +1,5 @@
 /*
- * Copyright (C) 2012-2014 Canonical, Ltd.
+ * Copyright (C) 2012-2014, 2015 Canonical, Ltd.
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -15,7 +15,7 @@
  */
 
 import QtQuick 2.2
-import Ubuntu.Components 1.1
+import Ubuntu.Components 1.2
 
 CheckBox {
     checked: root.selected

=== modified file 'app/components/ListItemActions/Remove.qml'
--- app/components/ListItemActions/Remove.qml	2015-03-03 18:37:59 +0000
+++ app/components/ListItemActions/Remove.qml	2015-06-18 01:42:03 +0000
@@ -1,5 +1,5 @@
 /*
- * Copyright (C) 2014 Andrew Hayzen <ahayzen@gmail.com>
+ * Copyright (C) 2014, 2015 Andrew Hayzen <ahayzen@gmail.com>
  *                    Daniel Holm <d.holmen@gmail.com>
  *                    Victor Thompson <victor.thompson@gmail.com>
  *
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 Action {
     id: removeAction

=== modified file 'app/components/ListItemReorderComponent.qml'
--- app/components/ListItemReorderComponent.qml	2015-03-03 18:37:59 +0000
+++ app/components/ListItemReorderComponent.qml	2015-06-18 01:42:03 +0000
@@ -17,8 +17,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 
 Item {

=== modified file 'app/components/ListItemWithActions.qml'
--- app/components/ListItemWithActions.qml	2015-03-03 18:37:59 +0000
+++ app/components/ListItemWithActions.qml	2015-06-18 01:42:03 +0000
@@ -14,8 +14,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 1.0 as ListItem
 
 

=== modified file 'app/components/LoadingIndicator.qml'
--- app/components/LoadingIndicator.qml	2015-04-26 23:55:07 +0000
+++ app/components/LoadingIndicator.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 Rectangle {
     id: indicator

=== modified file 'app/components/MultiSelectHeadState.qml'
--- app/components/MultiSelectHeadState.qml	2015-03-03 18:37:59 +0000
+++ app/components/MultiSelectHeadState.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 PageHeadState {
     id: selectionState

=== modified file 'app/components/MultiSelectListView.qml'
--- app/components/MultiSelectListView.qml	2015-03-03 18:37:59 +0000
+++ app/components/MultiSelectListView.qml	2015-06-18 01:42:03 +0000
@@ -17,8 +17,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 
 WeatherListView {

=== modified file 'app/components/PageWithBottomEdge.qml'
--- app/components/PageWithBottomEdge.qml	2015-02-09 01:26:54 +0000
+++ app/components/PageWithBottomEdge.qml	2015-06-18 01:42:03 +0000
@@ -1,5 +1,5 @@
 /*
- * Copyright (C) 2014 Canonical, Ltd.
+ * Copyright (C) 2014, 2015 Canonical, Ltd.
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -63,7 +63,7 @@
 */
 
 import QtQuick 2.2
-import Ubuntu.Components 1.1
+import Ubuntu.Components 1.2
 
 Page {
     id: page

=== modified file 'app/components/WeatherListItem.qml'
--- app/components/WeatherListItem.qml	2015-03-03 18:37:59 +0000
+++ app/components/WeatherListItem.qml	2015-06-18 01:42:03 +0000
@@ -17,8 +17,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 
 

=== modified file 'app/components/WeatherListView.qml'
--- app/components/WeatherListView.qml	2015-03-03 18:37:59 +0000
+++ app/components/WeatherListView.qml	2015-06-18 01:42:03 +0000
@@ -17,8 +17,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 
 
 ListView {

=== modified file 'app/data/Storage.qml'
--- app/data/Storage.qml	2015-05-09 00:47:22 +0000
+++ app/data/Storage.qml	2015-06-18 01:42:03 +0000
@@ -16,7 +16,7 @@
  * Authored by: Martin Borho <martin@borho.net>
  */
 import QtQuick.LocalStorage 2.0
-import QtQuick 2.3
+import QtQuick 2.4
 
 Item {
     property var db: null

=== modified file 'app/ubuntu-weather-app.qml'
--- app/ubuntu-weather-app.qml	2015-06-05 01:02:17 +0000
+++ app/ubuntu-weather-app.qml	2015-06-18 01:42:03 +0000
@@ -16,9 +16,9 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
+import QtQuick 2.4
 import Qt.labs.settings 1.0
-import Ubuntu.Components 1.1
+import Ubuntu.Components 1.2
 import "components"
 import "data" as Data
 import "data/WeatherApi.js" as WeatherApi
@@ -39,7 +39,6 @@
 
     backgroundColor: "#F5F5F5"
 
-    useDeprecatedToolbar: false
     anchorToKeyboard: true
 
     signal listItemSwiping(int i)

=== modified file 'app/ui/AddLocationPage.qml'
--- app/ui/AddLocationPage.qml	2015-05-29 02:38:23 +0000
+++ app/ui/AddLocationPage.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 1.0 as ListItem
 import Ubuntu.Components.Popups 1.0
 import "../components"

=== modified file 'app/ui/HomePage.qml'
--- app/ui/HomePage.qml	2015-06-13 23:12:30 +0000
+++ app/ui/HomePage.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import "../components"
 
 

=== modified file 'app/ui/LocationPane.qml'
--- app/ui/LocationPane.qml	2015-06-06 17:35:38 +0000
+++ app/ui/LocationPane.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 import "../components"
 

=== modified file 'app/ui/LocationsPage.qml'
--- app/ui/LocationsPage.qml	2015-06-05 23:15:57 +0000
+++ app/ui/LocationsPage.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 import "../components"
 import "../components/ListItemActions"

=== modified file 'app/ui/SettingsPage.qml'
--- app/ui/SettingsPage.qml	2015-03-06 13:38:30 +0000
+++ app/ui/SettingsPage.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 
 Page {

=== modified file 'app/ui/settings/DataProviderPage.qml'
--- app/ui/settings/DataProviderPage.qml	2015-05-09 01:16:10 +0000
+++ app/ui/settings/DataProviderPage.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 import "../../components"
 

=== modified file 'app/ui/settings/RefreshIntervalPage.qml'
--- app/ui/settings/RefreshIntervalPage.qml	2015-03-20 00:36:07 +0000
+++ app/ui/settings/RefreshIntervalPage.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 import "../../components"
 

=== modified file 'app/ui/settings/UnitsPage.qml'
--- app/ui/settings/UnitsPage.qml	2015-04-27 00:57:35 +0000
+++ app/ui/settings/UnitsPage.qml	2015-06-18 01:42:03 +0000
@@ -16,8 +16,8 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.3
-import Ubuntu.Components 1.1
+import QtQuick 2.4
+import Ubuntu.Components 1.2
 import Ubuntu.Components.ListItems 0.1 as ListItem
 import "../../components"
 

=== modified file 'manifest.json.in'
--- manifest.json.in	2015-05-17 23:11:54 +0000
+++ manifest.json.in	2015-06-18 01:42:03 +0000
@@ -1,7 +1,7 @@
 {
     "architecture": "all",
     "description": "A weather forecast application for Ubuntu with support for multiple online weather data sources",
-    "framework": "ubuntu-sdk-14.10-qml",
+    "framework": "ubuntu-sdk-15.04-qml",
     "hooks": {
         "weather": {
             "apparmor": "ubuntu-weather-app.apparmor",

=== modified file 'po/com.ubuntu.weather.pot'
--- po/com.ubuntu.weather.pot	2015-06-05 23:11:51 +0000
+++ po/com.ubuntu.weather.pot	2015-06-18 01:42:03 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-weather-app\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2015-06-05 18:04-0500\n"
+"POT-Creation-Date: 2015-06-09 19:05-0500\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"

=== modified file 'ubuntu-weather-app.apparmor'
--- ubuntu-weather-app.apparmor	2015-05-19 03:18:19 +0000
+++ ubuntu-weather-app.apparmor	2015-06-18 01:42:03 +0000
@@ -4,5 +4,5 @@
     	"networking",
     	"sensors"
     ], 
-    "policy_version": 1.2
+    "policy_version": 1.3
 }

